import 'dart:async';
import 'package:flutter/services.dart';


// config ===============================
export 'config/ez_config.dart';
export 'config/ez_color.dart';
export 'config/ez_load_cfg.dart';
// route ============================
export 'route/ez_navigator_observer.dart';
// model ===============================
export 'model/ez_load_state.dart';
// util ===============================
export 'utils/export.dart';
// widget ===============================
export 'widgets/export.dart';
// three ===============================
export 'package:pull_to_refresh/pull_to_refresh.dart';
export 'package:uuid/uuid.dart';
export 'package:uuid/uuid_util.dart';


class EzFlutterCommon {
  static const MethodChannel _channel =
      const MethodChannel('ez_flutter_common');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
