import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ez_flutter_common/ez_flutter_common.dart';

void main() {
  const MethodChannel channel = MethodChannel('ez_flutter_common');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await EzFlutterCommon.platformVersion, '42');
  });
}
