import 'package:ez_flutter_common/utils/ez_time_util.dart';
import 'package:flutter/cupertino.dart';

class EzLoadState{

  static String EZ_LOAD_STATE_LOAD = "load";
  static String EZ_LOAD_STATE_SUC = "suc";
  static String EZ_LOAD_STATE_FAIL = "fail";
  static String EZ_LOAD_STATE_NODATA = "modata";
  static String EZ_LOAD_STATE_NOMORE = "nomore";


  ValueNotifier valueVn = ValueNotifier(EZ_LOAD_STATE_LOAD);

  String status = EZ_LOAD_STATE_LOAD;

  notifyListeners({bool needNotify:true}){
    if(needNotify){
      if(valueVn.value != status){
        valueVn.value = status;
      }else{
        valueVn.notifyListeners();
      }
    }
  }

  String get value => status;

  bool get isLoad => value == EZ_LOAD_STATE_LOAD;

  bool get isSuc => value == EZ_LOAD_STATE_SUC || value == EZ_LOAD_STATE_NOMORE;

  bool get isFail => value == EZ_LOAD_STATE_FAIL;

  bool get isNodata => value == EZ_LOAD_STATE_NODATA;

  bool get isNomore => value == EZ_LOAD_STATE_NOMORE;



  void toLoad({bool needNotify:true}){status =  EZ_LOAD_STATE_LOAD;notifyListeners(needNotify:needNotify);}

  void toSuc({bool needNotify:true}){status = EZ_LOAD_STATE_SUC;notifyListeners(needNotify:needNotify);}

  void toFail({bool needNotify:true}){status = EZ_LOAD_STATE_FAIL;notifyListeners(needNotify:needNotify);}

  void toNodata({bool needNotify:true}){status = EZ_LOAD_STATE_NODATA;notifyListeners(needNotify:needNotify);}

  void toNomore({bool needNotify:true}){status = EZ_LOAD_STATE_NOMORE;notifyListeners(needNotify:needNotify);}
}