import 'package:ez_flutter_common/utils/ez_time_util.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class EzOverlay{
  OverlayEntry overlayEntry;
  bool opaque = false;
  bool maintainState = false;
  WidgetBuilder builder;
  EzOverlay(this.builder,{this.opaque,this.maintainState,});

  showOverlay(BuildContext context,{WidgetBuilder builder}){
    overlayEntry = new OverlayEntry(builder: (context) {
      return Material(
        color: Colors.transparent,
        child: builder != null ? builder(context): this.builder(context),);
    });
    Overlay.of(context).insert(overlayEntry);
  }

  closeOverlay(){
    try{
      overlayEntry.remove();
    }catch(e){
      print("EzOverlay:关闭EzOverlay时发生错误========");
      print(e);
    }
  }
}